unit UfDbLoginDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TDbLoginDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function GetUserName:string;
    function GetPassword:string;
  end;

var
  DbLoginDlg: TDbLoginDlg;

implementation

{$R *.dfm}

//TDbLoginDlg
function TDbLoginDlg.GetPassword: string;
begin
  result := Edit2.Text;
end;

function TDbLoginDlg.GetUserName: string;
begin
  result := Edit1.Text;
end;

procedure TDbLoginDlg.FormCreate(Sender: TObject);
begin
  Edit1.Text := '';
  Edit2.Text := '';
end;

procedure TDbLoginDlg.OKBtnClick(Sender: TObject);
begin
  DbLoginDlg.Close;
end;

procedure TDbLoginDlg.CancelBtnClick(Sender: TObject);
begin
  Edit1.Text := '';
  Edit2.Text := '';
  DbLoginDlg.Close;
end;

procedure TDbLoginDlg.FormShow(Sender: TObject);
begin
  Edit1.SetFocus;
end;

end.
